This repo is home to the Uniswap Widgets package and the web app interface [app.uniswap.org](https://app.uniswap.org).

# Uniswap Labs Interface

[![Unit Tests](https://github.com/Uniswap/interface/actions/workflows/unit-tests.yaml/badge.svg)](https://github.com/Uniswap/interface/actions/workflows/unit-tests.yaml)
[![Integration Tests](https://github.com/Uniswap/interface/actions/workflows/integration-tests.yaml/badge.svg)](https://github.com/Uniswap/interface/actions/workflows/integration-tests.yaml)
[![Lint](https://github.com/Uniswap/interface/actions/workflows/lint.yml/badge.svg)](https://github.com/Uniswap/interface/actions/workflows/lint.yml)
[![Release](https://github.com/Uniswap/interface/actions/workflows/release.yaml/badge.svg)](https://github.com/Uniswap/interface/actions/workflows/release.yaml)
[![Crowdin](https://badges.crowdin.net/uniswap-interface/localized.svg)](https://crowdin.com/project/uniswap-interface)

The web application hosted at https://app.uniswap.org is a convenient way to access the core functionality of the Uniswap Protocol. 

For documentation of the interface including how to contribute or access prior builds, please view the README here: [INTERFACE_README.md](./INTERFACE_README.md)

# Uniswap Labs Widgets

The `@uniswap/widgets` package is an npm package of React components used to provide subsets of the Uniswap Protocol functionality in a small and configurable user interface element.

The npm package can be found here. [@uniswap/widgets](https://www.npmjs.com/package/@uniswap/widgets)

For documentation of the widgets package, please view the README here: [WIDGETS_README.md](./WIDGETS_README.md).
